# Uses of Class
org.eclipse.emf.cdo.lm.reviews.ModelReference

Packages that use ModelReference
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.util

## Uses of ModelReference in org.eclipse.emf.cdo.lm.reviews

Methods in org.eclipse.emf.cdo.lm.reviews that return ModelReference
Modifier and Type
Method
Description
`ModelReference`
ModelReference.Builder.`build()`
`ModelReference`
ModelReference.Extractor.`extractModelReference(Object object)`
`ModelReference`
Topic.`getModelReference()`
Returns the value of the 'Model Reference' attribute.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type ModelReference
Modifier and Type
Method
Description
`default Topic`
TopicContainer.`getTopic(ModelReference modelReference)`
`default EList<Topic>`
TopicContainer.`getTopics(ModelReference modelReference)`
`void`
Topic.`setModelReference(ModelReference value)`
Sets the value of the '`Model Reference`' attribute.

## Uses of ModelReference in org.eclipse.emf.cdo.lm.reviews.impl

Fields in org.eclipse.emf.cdo.lm.reviews.impl declared as ModelReference
Modifier and Type
Field
Description
`protected static final ModelReference`
TopicImpl.`MODEL_REFERENCE_EDEFAULT`
The default value of the '`Model Reference`' attribute.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return ModelReference
Modifier and Type
Method
Description
`ModelReference`
ReviewsFactoryImpl.`createModelReferenceFromString(EDataType eDataType, String initialValue)`
`ModelReference`
TopicImpl.`getModelReference()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type ModelReference
Modifier and Type
Method
Description
`void`
TopicImpl.`setModelReference(ModelReference newModelReference)`

## Uses of ModelReference in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util that return ModelReference
Modifier and Type
Method
Description
`ModelReference`
ModelReferenceExtractorRegistry.`extractModelReference(Object object)`